Target version:

Resolution: Tags: easy
Description

Feedback of @johnarupire (in Spanish):
al momento de realizar invitaciones si no usas el mouse no puedes meter mas de una direccion de correo en el cajon, ya que al
presionar la tecla intro la invitacién se envia y la ventana se cierra. Al abrir la ventana se muestran 3 direcciones como ejemplo y eso

da la sensacion de que se podria enviar muchas invitaciones al mismo tiempo...

Hey! aqui si funciona la tecla Intro para saltar de linea! estaria bien que en la ventana de invitaciones pasara lo mismo ;)

Associated revisions

Revision 40ca20d8 - 01/29/2013 11:54 PM - Samer -

Fix #442: invitations allow multilines

History

#1 - 12/05/2012 05:03 PM - Vicente J. Ruiz Jurado

- Tags set to easy

AbstractlnvitationConfirmDialog extends BasicTopDialog and should extends (maybe) PromptTopDialog. FeedbackBottomPanel allow this.

#2 - 01/05/2013 12:40 AM - Samer -

It's true this is easy (solved commenting line in onEnter in AbstractinvitateAction). However, when inserting an enter in the field, the regular expression
is not matched (it expects a list of emails separated by commas... without newlines). | was going to change the regex to accept enter but... are we sure
we want to do that?
I wouldn't allow enters if they are not in the regex, as it's confusing for the user why the list of emails is not allowed. Besides, you can always write a
list of emails separated by commas and it will jump line automatically, without enters. Thus:

- if we don't want to modify the regex, we close this issue as wontfix.

- if we want, please express it and I'll do so.

#3 - 01/09/2013 11:18 AM - Vicente J. Ruiz Jurado

Modifying the regexp with \\s (aka any kind of space) should fix it:
http://stackoverflow.com/questions/6359810/java-regex-checking-for-carriage-return

#4 - 01/28/2013 12:05 AM - Samer -
http://stackoverflow.com/questions/6359810/java-regex-checking-for-carriage-return

Sorry, | didnt mean you need to search for me the regex (it was easy to find it). By "express it" | just meant to "express" agreement :P

Anyway, patch for this:
http://reviews.comunes.org/r/7/

#5 - 01/30/2013 01:06 AM - Samer -
- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset commit:40ca20d824869d9236b3c676c93627e27a23ac4f.
